Google Android - это несложно

Добро пожаловать на форум сайта startandroid.ru
Текущее время: 24 авг 2017, 07:42

Часовой пояс: UTC + 3 часа




Начать новую тему Ответить на тему  [ Сообщений: 9 ] 
Автор Сообщение
СообщениеДобавлено: 02 июл 2014, 16:16 
Аватар пользователя

Зарегистрирован: 26 июн 2012, 13:22
Сообщений: 3422
Откуда: UA
Благодарил (а): 11 раз.
Поблагодарили: 244 раз.
Всем привет. После Google IO 2014 решил же все таки попробовать обновку. Я не буду описывать все проблемы с которыми столкнулся, потому что их оказалось очень много.
1. Что казалось быть проще, запустить студи, нажать кнопочку апдейта и все обновится и дальше себе кодишь. А нет, в этот раз (не в первой) гугловцы нагло выбрасывают диалог и говорят что нужно скачать полностью новую студию. то есть предыдущую 0.6.1 нельзя обновить до 0.8.0. Старую мне куда выкидывать? А если у меня трафик лимитированный? В общем как всегда индусы понаписывали про себя подумал я и решил скачать.
2. Запускаю, пишет что теперь нужно обновить SDK. Думаю ОК. Что тута такого, обновлюсь с 19 апи до 20, а там гляди и L версия и дальше продолжу писать проект. А нет, и тута сидит индус в засаде. Что бы запустить проект, нужно поменять версии плагина для градла, таргет версию и версии саппорт библиотек. Казалось бы логично, обновил сдк - обнови версии в конфигах. Прикол в том что старые конфиги после обновления нужно править, некоторые атрибуты уже или устарели или просто студия говорит что вместо этого атрибута в build.gradle нужно юзать что то другое. Але гугл, где обратная совместимость?! Я уже не первый раз наступаю на эти грабли и приходится после каждой обновки править проект. В общем они уже не просто индусы, а индусы-титушки (кто в теме тот поймет :) ).
3. Не стал я править проект, так как лень и к тому же коллеги не стали обновляться. Решил я пооставлять везде старые версии 19 и т.д. Но вот беда, все равно не хочет собираться проект. Я уже и заново SDK перекачал, ну не в какую. Выдает мне студия что, парень ты юзаешь 19 версию сдк, а она отличается от той которая в саппорт библиотеке, будь индусом как и я и поставь L версию. Я сижу в недоумении, у меня везде стоит 19 версия, я даже откатился в репозитории отменив весь индусский код. Просидел я с этой индуской бедой почти целый день. В итоге нашел решение. Идем по пути локалки где у вас лежит саппорт либы и сносим все ревизии выше 19.1.0. Например: D:\Android\android-studio\sdk\extras\android\m2repository\com\android\support\appcompat-v7 там вы увидите папочки, вот их и сносите. Так же откройте файл maven-metadata.xml и от туда тоже снесите новые версии. Я так понял что отсюда он и брал новые версии.

P.S. Просто накипело. Они как бы делают все что бы облегчить нам жизнь, но в итоге получается наоборот. Наверное потому что у индусов менталитет другой.

_________________
R.id.team
Политика на форуме запрещена


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 02 июл 2014, 16:31 
Аватар пользователя

Зарегистрирован: 13 ноя 2013, 14:46
Сообщений: 1956
Благодарил (а): 10 раз.
Поблагодарили: 275 раз.
прошлая тема фо флудильне заблудилась, потому оставлю тут эту ссылку на причину того, почему я даже не собирался ничего обновлять https://code.google.com/p/android/issues/ :)

_________________
Изображение


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 02 июл 2014, 16:38 
Аватар пользователя

Зарегистрирован: 26 июн 2012, 13:22
Сообщений: 3422
Откуда: UA
Благодарил (а): 11 раз.
Поблагодарили: 244 раз.
В такие минуты хочется кинуть Андроид и перейти на что то менее мозгозатратное, например JavaEE/.NET

_________________
R.id.team
Политика на форуме запрещена


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 02 июл 2014, 16:56 
Аватар пользователя

Зарегистрирован: 13 ноя 2013, 14:46
Сообщений: 1956
Благодарил (а): 10 раз.
Поблагодарили: 275 раз.
rezak90 писал(а):
В такие минуты хочется кинуть Андроид и перейти на что то менее мозгозатратное, например JavaEE/.NET

php ? :mrgreen:

_________________
Изображение


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 02 июл 2014, 17:00 
Аватар пользователя

Зарегистрирован: 26 июн 2012, 13:22
Сообщений: 3422
Откуда: UA
Благодарил (а): 11 раз.
Поблагодарили: 244 раз.
altwin писал(а):
rezak90 писал(а):
В такие минуты хочется кинуть Андроид и перейти на что то менее мозгозатратное, например JavaEE/.NET

php ? :mrgreen:

не, это не престижно, хуже php только 1С и Delphi

_________________
R.id.team
Политика на форуме запрещена


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 02 июл 2014, 17:07 
Аватар пользователя

Зарегистрирован: 13 ноя 2013, 14:46
Сообщений: 1956
Благодарил (а): 10 раз.
Поблагодарили: 275 раз.
rezak90 писал(а):
altwin писал(а):
rezak90 писал(а):
В такие минуты хочется кинуть Андроид и перейти на что то менее мозгозатратное, например JavaEE/.NET

php ? :mrgreen:

не, это не престижно, хуже php только 1С и Delphi

ну тогда perl :) перлуны сейчас на вес золота )))))

_________________
Изображение


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 02 июл 2014, 17:41 
Аватар пользователя

Зарегистрирован: 10 июн 2013, 15:05
Сообщений: 584
Откуда: UA
Благодарил (а): 14 раз.
Поблагодарили: 74 раз.
rezak90 писал(а):
В такие минуты хочется кинуть Андроид и перейти на что то менее мозгозатратное, например JavaEE/.NET


Это ты еще не пробовал запустить семплы из стандартной поставки Android L :lol:

вот еще до кучи у меня вылезло после обновления - http://stackoverflow.com/questions/2444 ... ishing-app

_________________
Личные сообщения с просьбой ответить на форуме или написать программу я просто удаляю, если я в хорошем настроении. Если в плохом добавляю автора в черный список. По любым другим вопросам feel free to write to me.


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 02 июл 2014, 19:17 

Зарегистрирован: 06 ноя 2013, 08:59
Сообщений: 114
Благодарил (а): 0 раз.
Поблагодарили: 25 раз.
Эх бы раньше :) . У меня после обновы не запускалась студия, выдавая простыню ошибок. Решил переустановкой, в build.gradle dependencies прописал версию compile 'com.android.support:appcompat-v7:20.+' вместо старой.


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 26 май 2017, 09:23 

Зарегистрирован: 26 май 2017, 09:11
Сообщений: 6
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
слетела прошивка android 5.0 на lenovo A1000 при попытке обновить по воздуху.Стоит ли в дальнейшем это делать?(Смарт был рутирован)После перепрошивки root не устанавливал


Вернуться наверх
 Профиль  
 
Показать сообщения за:  Сортировать по:  
Начать новую тему Ответить на тему  [ Сообщений: 9 ] 

Часовой пояс: UTC + 3 часа


Вы не можете начинать темы
Вы не можете отвечать на сообщения
Вы не можете редактировать свои сообщения
Вы не можете удалять свои сообщения
Вы не можете добавлять вложения

Найти:
Powered by phpBB® Forum Software © phpBB Group
Русская поддержка phpBB